# pymatgen.io.cssr module

This module provides input and output from the CSSR file format.

class Cssr(structure)

  Bases: `object`

  Basic object for working with Cssr file. Right now, only conversion from a Structure to a Cssr file is supported.

  Parameters

    structure (Structure/IStructure) – A structure to create the Cssr object.

  static from_file(filename)

    Reads a CSSR file to a Cssr object.

    Parameters

      filename (str) – Filename to read from.

    Returns

      Cssr object.

  static from_string(string)

    Reads a string representation to a Cssr object.

    Parameters

      string (str) – A string representation of a CSSR.

    Returns

      Cssr object.

  write_file(filename)

    Write out a CSSR file.

    Parameters

      filename (str) – Filename to write to.